Subject: Re: bug#34179: 27.0.50; message hangs when buffer with process visible

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Jan 2019 21:48:55 +0200

> Date: Fri, 25 Jan 2019 19:54:21 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > Just leaving the job for the next redisplay cycle.  IOW, removing the
>  > windows_or_buffers_changed from the condition under which we "goto retry".
> 
> This sounds a bit harsh to me but I will try it.  I suppose my
> proposal to not call redisplay_other_windows in select_window when
> NORECORD is non-nil and select_window was executed from within
> run_window_configuration_change_hook and friends does not sound viable
> to you.  Can you explain why?

redisplay_other_windows disables some aggressive redisplay
optimizations that could bypass windows entirely.  If we do what you
propose, we will have to deal with fallout, and I just cannot see a
good reason for such an adventure, certainly not as a means to fix
another tricky redisplay problem.